<?php
/**
 * DonationsEventDat Entity
 * $Id: DonationsEventDat.inc,v 1.1 2020/2/29 18:34:09 Exp $
 * @author zb
 * @package jp.compass.entity
 * @access public
 */
class DonationsEventDat extends CompassDynamicData
{
	var $title;
	var $comment;
	var $start_time;
	var $finish_time;
	var $front_image;
	var $author;
	var $author_role;
	var $auditor_id;
	var $auditor_name;
	var $max_money;
	var $money;
	var $status;
	var $delete_flg;

	/**
	 * 构造实现。donations_event_dat创建实例。
	 * 
	 * @access public
	 * @param mixed donations_event_dat
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->title        = $record["title"];
		$this->comment      = $record["comment"];
		$this->start_time   = $record["start_time"];
		$this->finish_time  = $record["finish_time"];
		$this->front_image  = $record["front_image"];
		$this->author       = $record["author"];
		$this->author_role  = $record["author_role"];
		$this->auditor_id   = $record["auditor_id"];
		$this->auditor_name = $record["auditor_name"];
		$this->max_money    = $record["max_money"];
		$this->money        = $record["money"];
		$this->status       = $record["status"];
		$this->delete_flg   = $record["delete_flg"];
	}

	/**
	 * 根据条件,获取数据列表。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("DonationsEventDat", "donations_event_dat", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 根据条件，获取数据列表的件数。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("donations_event_dat", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 获得此类指定ID的实例。
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("DonationsEventDat", "donations_event_dat", $id, $param);
	}

	// -- 这里开始Dynamic ---
	/**
	 * 将此实例写入DB。
	 * DynamicData共用的保存方法。
	 * @access public
	 * @return int 写入实例的ID
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "title");
		ParamUtil::copyObj2Array($v_param, $this, "comment");
		ParamUtil::copyObj2Array($v_param, $this, "start_time");
		ParamUtil::copyObj2Array($v_param, $this, "finish_time");
		ParamUtil::copyObj2Array($v_param, $this, "front_image");
		ParamUtil::copyObj2Array($v_param, $this, "author");
		ParamUtil::copyObj2Array($v_param, $this, "author_role");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "auditor_id");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "auditor_name");
		ParamUtil::copyObj2Array($v_param, $this, "max_money");
		ParamUtil::copyObj2Array($v_param, $this, "money");
		ParamUtil::copyObj2Array($v_param, $this, "status");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("donations_event_dat", $v_param);
	}
}